"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = cssifyKeyframe;

var _fastLoops = require("fast-loops");

var _cssifyKeyframeRule = _interopRequireDefault(require("./cssifyKeyframeRule"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function cssifyKeyframe(frames, animationName) {
  var prefixes = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [''];
  var prerendered = arguments.length > 3 ? arguments[3] : undefined;
  var keyframe = prerendered || (0, _cssifyKeyframeRule["default"])(frames);
  return (0, _fastLoops.arrayReduce)(prefixes, function (cssKeyframe, prefix) {
    return "".concat(cssKeyframe, "@").concat(prefix, "keyframes ").concat(animationName, "{").concat(keyframe, "}");
  }, '');
}