"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = generateFontSource;

var _fastLoops = require("fast-loops");

var _getFontUrl = _interopRequireDefault(require("./getFontUrl"));

var _getFontFormat = _interopRequireDefault(require("./getFontFormat"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function generateFontSource() {
  var files = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var fontLocals = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
  var localSource = (0, _fastLoops.arrayReduce)(fontLocals, function (src, local, index) {
    var prefix = index > 0 ? ',' : '';
    var localUrl = (0, _getFontUrl["default"])(local);
    return "".concat(src).concat(prefix, "local(").concat(localUrl, ")");
  }, '');
  var urlSource = (0, _fastLoops.arrayReduce)(files, function (src, fileSource, index) {
    var prefix = index > 0 ? ',' : '';
    var fileFormat = (0, _getFontFormat["default"])(fileSource);
    var fileUrl = (0, _getFontUrl["default"])(fileSource);
    return "".concat(src).concat(prefix, "url(").concat(fileUrl, ") format('").concat(fileFormat, "')");
  }, '');
  var delimiter = localSource.length > 0 && urlSource.length > 0 ? ',' : '';
  return "".concat(localSource).concat(delimiter).concat(urlSource);
}